更新蓝图的内容和/或位置
curl --request PATCH \
--url https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"contents": "<string>",
"position": 123
}
'import requests
url = "https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}"
payload = {
"contents": "<string>",
"position": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({contents: '<string>', position: 123})
};
fetch('https://api.devin.ai/v3beta1/organizations/{org_id}/snapshot-setup/blueprints/{blueprint_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"blueprint_id": "<string>",
"created_at": 123,
"repo_name": "<string>",
"updated_at": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}快照设置(组织)
更新蓝图的内容和/或位置
对单个蓝图进行部分更新。不会自动触发构建。
生效字段:
contents— 为该蓝图写入新的 YAML 版本。position— 设置代码仓库层级蓝图的执行位置。 对组织层级蓝图会返回400(这类蓝图没有 position)。
当请求体为空时,返回 400。
PATCH
/
v3beta1
/
organizations
/
{org_id}
/
snapshot-setup
/
blueprints
/
{blueprint_id}
更新蓝图的内容和/或位置
权限
ManageRepoBlueprints 权限。创建或更新组织级蓝图需要 ManageOrgSnapshots 权限。
行为
授权
服务用户凭据(前缀:cog_)
请求体
application/json
⌘I

